#!/usr/bin/env python3

import gi
gi.require_version('Gtk', '3.0')
from gi.repository import Gtk

class Notebook(Gtk.Window):
    def __init__(self):
        Gtk.Window.__init__(self)
        self.set_title('Notebook')
        self.set_default_size(300, 200)
        self.connect('destroy', Gtk.main_quit)

        notebook = Gtk.Notebook()
        self.add(notebook)

        for page in range(1, 4):
            label2 = Gtk.Label()
            label2.set_text('Page %i' % (page))

            page2 = Gtk.ScrolledWindow()
            page2.set_vexpand(True)
            page2.set_border_width(0)

            page3 = Gtk.FlowBox()
            page3.set_valign(Gtk.Align.START)
            page3.set_max_children_per_line(1)
            page3.set_selection_mode(Gtk.SelectionMode.NONE)
            page3.set_margin_top(5)
            page2.add(page3)

            for t in range(1, 10):
                page3.add(Gtk.Label('content %i' % (t)))

            notebook.append_page(page2, label2)


            #notebook.set_tab_reorderable(label1, True)

window = Notebook()
window.show_all()

Gtk.main()
